%define module	Apache-Gallery
%define version	0.9.1
%define release	4mdk

Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
Summary:	A mod_perl handler to create an image gallery
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/L/LE/LEGART/%{module}-%{version}.tar.bz2
Patch0:		%{module}-0.9.1.pod.patch.bz2
Patch1:		%{module}-0.9.1.mod_perl2-fix.patch.bz2
Patch2:		%{module}-0.9.1.cache.patch.bz2
Patch3:		%{module}-0.9.1.filename.patch.bz2
URL:		http://apachegallery.dk/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildRequires:	perl-devel
BuildRequires:	perl-libapreq
BuildRequires:	perl-Image-Imlib2
BuildRequires:	perl-Image-Info
BuildRequires:	perl-Text-Template
BuildRequires:	perl-Test-MockObject
BuildArch:	noarch

%description
Apache::Gallery creates an thumbnail index of each directory and
allows viewing pictures in different resolutions. Pictures are
resized on the fly and cached.

%prep
%setup -q -n %{module}-%{version}
%patch0
%patch1
%patch2
%patch3

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# (oe) make test stopped working, i don't know why...
#%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/gallery
cp -r templates/* $RPM_BUILD_ROOT%{_datadir}/gallery
install -d -m 755 $RPM_BUILD_ROOT%{_var}/www/icons/gallery
cp htdocs/* $RPM_BUILD_ROOT%{_var}/www/icons/gallery
install -d -m 755 $RPM_BUILD_ROOT/var/cache/gallery

# remove empty files
rm -f $RPM_BUILD_ROOT%{_datadir}/gallery/default/nodircomment.tpl
rm -f $RPM_BUILD_ROOT%{_datadir}/gallery/new/nodircomment.tpl

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes INSTALL LICENSE TODO UPGRADE
%{perl_vendorlib}/Apache
%{_datadir}/gallery
%attr(-,apache,apache) /var/cache/gallery
%{_var}/www/icons/gallery
%{_mandir}/*/*

%changelog
* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.1-4mdk
- spec file cleanups, remove the ADVX-build stuff
- disable make test for now

* Wed Jan 26 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.1-3mdk 
- fix non-jpg images issue
- fix icons path
- use /var/cache/gallery as cache location
- fix lowercase summary
- remove empty files
- change URL

* Fri Sep 17 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.1-2mdk 
- fixed mod_perl2 issue

* Sun Sep 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.1-1mdk
- new version  
- buildrequires

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-2mdk 
- rpmbuildupdate aware

* Wed Apr 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-1mdk
- new version
- correct source URL
- corrected buildrequires

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-4mdk
- fixed dir ownership (distlint)

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-3mdk
- buildrequires (slbd)

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-2mdk
- included missing templates and icons

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-1mdk
- first mdk release
